Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.integrationkit
Class PicoCompositionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.nanocontainer.integrationkit.PicoCompositionException

All Implemented Interfaces:
  Serializable

    public class PicoCompositionException

extends org.picocontainer.PicoException

See Also:
  Serialized Form

Field Summary
`protected Throwable` | `cause`

Constructor Summary
`protected` | `PicoCompositionException()`
`` | `PicoCompositionException(String message)`
`` | `PicoCompositionException(String message, Throwable cause)`
`` | `PicoCompositionException(Throwable cause)`

Method Summary
`Throwable` | `getCause()`

Methods inherited from class org.picocontainer.PicoException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected Throwable cause

Constructor Detail

### PicoCompositionException

    protected PicoCompositionException()

### PicoCompositionException

    public PicoCompositionException(String message,
                                    Throwable cause)

### PicoCompositionException

    public PicoCompositionException(Throwable cause)

### PicoCompositionException

    public PicoCompositionException(String message)

Method Detail

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `org.picocontainer.PicoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.